#### D.14.1.3 mat2arr

Procedure from library `arr.lib` (see arr_lib).

Usage:
  mat2arr(M); matrix (M|b)

Return:
  [arr] interprets the rows of the matrix as the defining polynomial equations of the arrangement where the last column will be considered as the constant terms, i.e. if M is an m*(n+1) matrix we have
  H_i = Ker( M_i1*x_1 +...+ M_in*x_n + M_i(n+1) ) for i=1...m and A = {H_1,...,H_m} the resulting arrangement.

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z),dp;
    matrix M[4][4] = 1,0,1,1,1,1,0,2,0,1,1,3,2,1,1,4;
    print(M);
    ==> 1,0,1,1,
    ==> 1,1,0,2,
    ==> 0,1,1,3,
    ==> 2,1,1,4
    mat2arr(M);
    ==> _[1]=x+z+1
    ==> _[2]=x+y+2
    ==> _[3]=y+z+3
    ==> _[4]=2x+y+z+4
    ==>

See also: mat2carr.

User manual for Singular version 4.4.1, 2025, generated by texi2html.